## ros-noetic-mrpt2 2.6.0

=== debian/changelog ===
ros-noetic-mrpt2 (2.6.0-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 12 Jan 2023 18:33:22 -0000
