=== debian/control ===
Source: ros-noetic-mrpt2
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ffmpeg, freeglut3-dev, libassimp-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libeigen3-dev, libfreenect-dev, libglfw3-dev, libjpeg-dev, libjsoncpp-dev, libopencv-dev, libopenni2-dev, libpcap0.8-dev, libsuitesparse-dev, libswscale-dev, libtinyxml2-dev, libudev-dev, libusb-1.0-0-dev, libwxgtk3.0-dev, libxrandr-dev, libxxf86vm-dev, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-octomap, ros-noetic-pcl-conversions, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2, ros-noetic-tf2-msgs, wx-common, zlib1g-dev
Homepage: https://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-noetic-mrpt2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libeigen3-dev, libglfw3-dev, libopencv-dev, libsuitesparse-dev, libxrandr-dev, libxxf86vm-dev, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-octomap, ros-noetic-pcl-conversions, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2, ros-noetic-tf2-msgs
Description: Mobile Robot Programming Toolkit (MRPT) version 2.x
