## ros-noetic-mrpt2 2.10.0

=== debian/changelog ===
ros-noetic-mrpt2 (2.10.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 09 Jul 2023 15:44:15 -0000
